<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_18) on Mon Jul 05 12:01:13 CEST 2010 -->
<TITLE>
Uses of Class aco.misc.CoordinatePair
</TITLE>

<META NAME="date" CONTENT="2010-07-05">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Uses of Class aco.misc.CoordinatePair";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../aco/misc/CoordinatePair.html" title="class in aco.misc"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?aco/misc/\class-useCoordinatePair.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="CoordinatePair.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
<B>Uses of Class<br>aco.misc.CoordinatePair</B></H2>
</CENTER>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Packages that use <A HREF="../../../aco/misc/CoordinatePair.html" title="class in aco.misc">CoordinatePair</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#aco.antview"><B>aco.antview</B></A></TD>
<TD>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#aco.graph"><B>aco.graph</B></A></TD>
<TD>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#aco.graph.data"><B>aco.graph.data</B></A></TD>
<TD>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#aco.mediator"><B>aco.mediator</B></A></TD>
<TD>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#aco.strategy"><B>aco.strategy</B></A></TD>
<TD>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#aco.strategy.distance"><B>aco.strategy.distance</B></A></TD>
<TD>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#aco.tsplibreader"><B>aco.tsplibreader</B></A></TD>
<TD>&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="aco.antview"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../aco/misc/CoordinatePair.html" title="class in aco.misc">CoordinatePair</A> in <A HREF="../../../aco/antview/package-summary.html">aco.antview</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../aco/antview/package-summary.html">aco.antview</A> that return <A HREF="../../../aco/misc/CoordinatePair.html" title="class in aco.misc">CoordinatePair</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../aco/misc/CoordinatePair.html" title="class in aco.misc">CoordinatePair</A>&lt;java.lang.Integer,java.lang.Integer&gt;</CODE></FONT></TD>
<TD><CODE><B>AntViewObservable.</B><B><A HREF="../../../aco/antview/AntViewObservable.html#getCoordinates(int)">getCoordinates</A></B>(int&nbsp;City)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="aco.graph"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../aco/misc/CoordinatePair.html" title="class in aco.misc">CoordinatePair</A> in <A HREF="../../../aco/graph/package-summary.html">aco.graph</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../aco/graph/package-summary.html">aco.graph</A> that return <A HREF="../../../aco/misc/CoordinatePair.html" title="class in aco.misc">CoordinatePair</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../aco/misc/CoordinatePair.html" title="class in aco.misc">CoordinatePair</A>&lt;java.lang.Integer,java.lang.Integer&gt;</CODE></FONT></TD>
<TD><CODE><B>ACOGraph.</B><B><A HREF="../../../aco/graph/ACOGraph.html#getCoordinates(int)">getCoordinates</A></B>(int&nbsp;City)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../aco/graph/package-summary.html">aco.graph</A> that return types with arguments of type <A HREF="../../../aco/misc/CoordinatePair.html" title="class in aco.misc">CoordinatePair</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.util.HashMap&lt;java.lang.Integer,<A HREF="../../../aco/misc/CoordinatePair.html" title="class in aco.misc">CoordinatePair</A>&lt;java.lang.Integer,java.lang.Integer&gt;&gt;</CODE></FONT></TD>
<TD><CODE><B>ACOGraph.</B><B><A HREF="../../../aco/graph/ACOGraph.html#getCoordinateData()">getCoordinateData</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="aco.graph.data"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../aco/misc/CoordinatePair.html" title="class in aco.misc">CoordinatePair</A> in <A HREF="../../../aco/graph/data/package-summary.html">aco.graph.data</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../aco/graph/data/package-summary.html">aco.graph.data</A> that return <A HREF="../../../aco/misc/CoordinatePair.html" title="class in aco.misc">CoordinatePair</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../aco/misc/CoordinatePair.html" title="class in aco.misc">CoordinatePair</A>&lt;java.lang.Integer,java.lang.Integer&gt;</CODE></FONT></TD>
<TD><CODE><B>CoordinateData.</B><B><A HREF="../../../aco/graph/data/CoordinateData.html#getCoordinates(int)">getCoordinates</A></B>(int&nbsp;City)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../aco/graph/data/package-summary.html">aco.graph.data</A> that return types with arguments of type <A HREF="../../../aco/misc/CoordinatePair.html" title="class in aco.misc">CoordinatePair</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.util.HashMap&lt;java.lang.Integer,<A HREF="../../../aco/misc/CoordinatePair.html" title="class in aco.misc">CoordinatePair</A>&lt;java.lang.Integer,java.lang.Integer&gt;&gt;</CODE></FONT></TD>
<TD><CODE><B>CoordinateData.</B><B><A HREF="../../../aco/graph/data/CoordinateData.html#getCoordinateData()">getCoordinateData</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="aco.mediator"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../aco/misc/CoordinatePair.html" title="class in aco.misc">CoordinatePair</A> in <A HREF="../../../aco/mediator/package-summary.html">aco.mediator</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../aco/mediator/package-summary.html">aco.mediator</A> that return <A HREF="../../../aco/misc/CoordinatePair.html" title="class in aco.misc">CoordinatePair</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../aco/misc/CoordinatePair.html" title="class in aco.misc">CoordinatePair</A>&lt;java.lang.Integer,java.lang.Integer&gt;</CODE></FONT></TD>
<TD><CODE><B>ACOMediator.</B><B><A HREF="../../../aco/mediator/ACOMediator.html#getCoordinates(int)">getCoordinates</A></B>(int&nbsp;City)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../aco/mediator/package-summary.html">aco.mediator</A> that return types with arguments of type <A HREF="../../../aco/misc/CoordinatePair.html" title="class in aco.misc">CoordinatePair</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.util.HashMap&lt;java.lang.Integer,<A HREF="../../../aco/misc/CoordinatePair.html" title="class in aco.misc">CoordinatePair</A>&lt;java.lang.Integer,java.lang.Integer&gt;&gt;</CODE></FONT></TD>
<TD><CODE><B>ACOMediator.</B><B><A HREF="../../../aco/mediator/ACOMediator.html#getCoordinateData()">getCoordinateData</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="aco.strategy"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../aco/misc/CoordinatePair.html" title="class in aco.misc">CoordinatePair</A> in <A HREF="../../../aco/strategy/package-summary.html">aco.strategy</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../aco/strategy/package-summary.html">aco.strategy</A> with parameters of type <A HREF="../../../aco/misc/CoordinatePair.html" title="class in aco.misc">CoordinatePair</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>abstract &nbsp;int</CODE></FONT></TD>
<TD><CODE><B>DistanceStrategy.</B><B><A HREF="../../../aco/strategy/DistanceStrategy.html#computeDistance(aco.misc.CoordinatePair, aco.misc.CoordinatePair)">computeDistance</A></B>(<A HREF="../../../aco/misc/CoordinatePair.html" title="class in aco.misc">CoordinatePair</A>&lt;java.lang.Integer,java.lang.Integer&gt;&nbsp;CityOne,
                <A HREF="../../../aco/misc/CoordinatePair.html" title="class in aco.misc">CoordinatePair</A>&lt;java.lang.Integer,java.lang.Integer&gt;&nbsp;CityTwo)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>abstract &nbsp;int</CODE></FONT></TD>
<TD><CODE><B>DistanceStrategy.</B><B><A HREF="../../../aco/strategy/DistanceStrategy.html#computeDistance(aco.misc.CoordinatePair, aco.misc.CoordinatePair)">computeDistance</A></B>(<A HREF="../../../aco/misc/CoordinatePair.html" title="class in aco.misc">CoordinatePair</A>&lt;java.lang.Integer,java.lang.Integer&gt;&nbsp;CityOne,
                <A HREF="../../../aco/misc/CoordinatePair.html" title="class in aco.misc">CoordinatePair</A>&lt;java.lang.Integer,java.lang.Integer&gt;&nbsp;CityTwo)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="aco.strategy.distance"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../aco/misc/CoordinatePair.html" title="class in aco.misc">CoordinatePair</A> in <A HREF="../../../aco/strategy/distance/package-summary.html">aco.strategy.distance</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../aco/strategy/distance/package-summary.html">aco.strategy.distance</A> with parameters of type <A HREF="../../../aco/misc/CoordinatePair.html" title="class in aco.misc">CoordinatePair</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B>EUC_2D_DistanceStrategy.</B><B><A HREF="../../../aco/strategy/distance/EUC_2D_DistanceStrategy.html#computeDistance(aco.misc.CoordinatePair, aco.misc.CoordinatePair)">computeDistance</A></B>(<A HREF="../../../aco/misc/CoordinatePair.html" title="class in aco.misc">CoordinatePair</A>&lt;java.lang.Integer,java.lang.Integer&gt;&nbsp;CityOne,
                <A HREF="../../../aco/misc/CoordinatePair.html" title="class in aco.misc">CoordinatePair</A>&lt;java.lang.Integer,java.lang.Integer&gt;&nbsp;CityTwo)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B>EUC_2D_DistanceStrategy.</B><B><A HREF="../../../aco/strategy/distance/EUC_2D_DistanceStrategy.html#computeDistance(aco.misc.CoordinatePair, aco.misc.CoordinatePair)">computeDistance</A></B>(<A HREF="../../../aco/misc/CoordinatePair.html" title="class in aco.misc">CoordinatePair</A>&lt;java.lang.Integer,java.lang.Integer&gt;&nbsp;CityOne,
                <A HREF="../../../aco/misc/CoordinatePair.html" title="class in aco.misc">CoordinatePair</A>&lt;java.lang.Integer,java.lang.Integer&gt;&nbsp;CityTwo)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B>ATT_DistanceStrategy.</B><B><A HREF="../../../aco/strategy/distance/ATT_DistanceStrategy.html#computeDistance(aco.misc.CoordinatePair, aco.misc.CoordinatePair)">computeDistance</A></B>(<A HREF="../../../aco/misc/CoordinatePair.html" title="class in aco.misc">CoordinatePair</A>&lt;java.lang.Integer,java.lang.Integer&gt;&nbsp;CityOne,
                <A HREF="../../../aco/misc/CoordinatePair.html" title="class in aco.misc">CoordinatePair</A>&lt;java.lang.Integer,java.lang.Integer&gt;&nbsp;CityTwo)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B>ATT_DistanceStrategy.</B><B><A HREF="../../../aco/strategy/distance/ATT_DistanceStrategy.html#computeDistance(aco.misc.CoordinatePair, aco.misc.CoordinatePair)">computeDistance</A></B>(<A HREF="../../../aco/misc/CoordinatePair.html" title="class in aco.misc">CoordinatePair</A>&lt;java.lang.Integer,java.lang.Integer&gt;&nbsp;CityOne,
                <A HREF="../../../aco/misc/CoordinatePair.html" title="class in aco.misc">CoordinatePair</A>&lt;java.lang.Integer,java.lang.Integer&gt;&nbsp;CityTwo)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="aco.tsplibreader"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../aco/misc/CoordinatePair.html" title="class in aco.misc">CoordinatePair</A> in <A HREF="../../../aco/tsplibreader/package-summary.html">aco.tsplibreader</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../aco/tsplibreader/package-summary.html">aco.tsplibreader</A> that return types with arguments of type <A HREF="../../../aco/misc/CoordinatePair.html" title="class in aco.misc">CoordinatePair</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.util.HashMap&lt;java.lang.Integer,<A HREF="../../../aco/misc/CoordinatePair.html" title="class in aco.misc">CoordinatePair</A>&lt;java.lang.Integer,java.lang.Integer&gt;&gt;</CODE></FONT></TD>
<TD><CODE><B>TSPLibReader.</B><B><A HREF="../../../aco/tsplibreader/TSPLibReader.html#getCoordinates()">getCoordinates</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../aco/misc/CoordinatePair.html" title="class in aco.misc"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?aco/misc/\class-useCoordinatePair.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="CoordinatePair.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
